// This file is released into the public domain
//=================================
if ~isdef('conf_obs2pcent')  then
  root_tlbx_path = SCI+'\contrib\fact\';      
  exec(root_tlbx_path + 'loader.sce',-1); 
end
//=================================

  x_confus=[10 7 5 2;3 8 9 4; 6 5 1 3; 6 4 10 2];
  // en lignes: les prédictions
  // en colonnes : les classes de références 
  classes_ref=[25;25;25;15];  // si tous classés: classes_ref = somme des colonnes de x_confus
  
  [conf_pcent,err_classif,err_classif_byclass,not_class,not_class_bycl] = conf_obs2pcent(x_confus,classes_ref);
  
  // conf_pcent: matrice de bien classés, par classe, en pourcentage (la somme des colonnes = 1)
  // err_classif: le pourcentage d'erreur de classification: (matrice - sa diagonale(bien classés))/nombre total 
  // err_classif = 71,11 = 100* 64/90
  // err_classif_byclass: somme des mal classés d'une colonne divisée par la somme de la colonne 
  // err_classif_byclass(4)=60 = 100* 9/15
  // not_class = 5.55  = 5,55% = 5/90 
  // not_class_by_cl : pourcentage de non classés par classe 
  // not_class_by_cl =[0; 0.04; 0; 0.266667] 
  
  if ~isdef('err_classif') | (abs(err_classif-71.11)>0.01 | abs(not_class-5.55)>0.01 ) then 
      pause;
  end
  
  clear x_confus classes_ref conf_pcent err_classif err_classif_byclass not_class not_class_bycl 
//==============================================================================================
